io_uring_get_probe(3)

NAME
io_uring_get_probe - get probe instance

SYNOPSIS
#include <liburing.h>

io_uring_probe *io_uring_get_probe(void);

DESCRIPTION

The function io_uring_get_probe(3) returns an allocated io_uring_probe structure to the caller. The caller is responsible for freeing the structure with the function io_uring_free_probe(3).

NOTES
Earlier versions of the Linux kernel do not support probe. If the kernel doesn't support probe, this function will return NULL.

RETURN VALUE
On success it returns an allocated io_uring_probe structure, otherwise it returns NULL.

SEE ALSO
io_uring_free_probe(3)